Package: grails.rest.render.atom

## [Groovy] Class AtomCollectionRenderer

- grails.rest.render.atom.AtomCollectionRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer

      class AtomCollectionRenderer
      extends AtomRenderer
      implements ContainerRenderer

  An Atom XML renderer for a collection of objects

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `componentType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AtomRenderer` | `ATOM_DATE_FORMAT, ATOM_NAMESPACE, DEFAULT_ATOM_MIME_TYPES, ENTRY_TAG, FEED_TAG, ID_DATE_FORMAT, ID_TAG, MIME_TYPE, PUBLISHED_TAG, RELATIONSHIP_ALTERNATE, UPDATED_TAG, XMLNS_ATTRIBUTE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `componentType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AtomCollectionRenderer (java.lang.Class componentType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AtomRenderer` | `formatAtomDate, formatDateCreated, formatLastUpdated, generateIdForURI, getObjectId, renderInternal, writeDomainWithEmbeddedAndLinks`

- - ### Field Detail

    - #### private final java.lang.Class componentType

  - ### Property Detail

    - #### final java.lang.Class componentType

  - ### Constructor Detail

    - #### AtomCollectionRenderer(java.lang.Class componentType)